aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authordan sinclair <dj2@everburning.com>2018-11-14 17:48:02 -0500
committerJaebaek Seo <duke.acacia@gmail.com>2018-11-14 17:48:02 -0500
commite04f556c2a973693348ea0dd8bf790687f4bd866 (patch)
tree5303d4ff0c3588e422e0280f7257cc9dde406e06 /tools
parent5d89796a571d16f2427a6b12c517cd164eef330b (diff)
downloadamber-e04f556c2a973693348ea0dd8bf790687f4bd866.tar.gz
Add kokoro build files. (#45)
This CL adds the build files for Linux {gcc|clang} and Mac clang builds in both Debug and Release mode. Issue #3
Diffstat (limited to 'tools')
-rw-r--r--tools/check_code_format.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tools/check_code_format.sh b/tools/check_code_format.sh
new file mode 100644
index 0000000..e4818f9
--- /dev/null
+++ b/tools/check_code_format.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Copyright 2018 Google LLC
+
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Script to determine if source code in Pull Request is properly formatted.
+# Exits with non 0 exit code if formatting is needed.
+#
+# This script assumes to be invoked at the project root directory.
+
+FILES_TO_CHECK=$(git diff --name-only master | grep -E ".*\.(cpp|cc|c\+\+|cxx|c|h|hpp)$")
+
+if [ -z "${FILES_TO_CHECK}" ]; then
+ echo "No source code to check for formatting."
+ exit 0
+fi
+
+FORMAT_DIFF=$(git diff -U0 master -- ${FILES_TO_CHECK} | python ./tools/clang-format-diff.py -p1 -style=file)
+
+if [ -z "${FORMAT_DIFF}" ]; then
+ echo "All source code in PR properly formatted."
+ exit 0
+else
+ echo "Found formatting errors!"
+ echo "${FORMAT_DIFF}"
+ exit 1
+fi